summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-08-30 12:36:16 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-03 07:48:57 +0700
commit23771e87c9254f2ca4ac549abe6b51f98c6d0db6 (patch)
tree3dc199c4620b7793ae7f95ee5e5f7e2134472523 /desktop
parent104757e28ad8681596a1005c2193417cfbb30ce6 (diff)
downloadslackbuilds-23771e87c9254f2ca4ac549abe6b51f98c6d0db6.tar.gz
slackbuilds-23771e87c9254f2ca4ac549abe6b51f98c6d0db6.tar.xz
desktop/zuki-themes: Added (Themes for GTK, gnome-shell and more).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/zuki-themes/README7
-rw-r--r--desktop/zuki-themes/doinst.sh13
-rw-r--r--desktop/zuki-themes/slack-desc19
-rw-r--r--desktop/zuki-themes/zuki-themes.SlackBuild64
-rw-r--r--desktop/zuki-themes/zuki-themes.info10
5 files changed, 113 insertions, 0 deletions
diff --git a/desktop/zuki-themes/README b/desktop/zuki-themes/README
new file mode 100644
index 0000000000..a48f522536
--- /dev/null
+++ b/desktop/zuki-themes/README
@@ -0,0 +1,7 @@
+zuki-themes (Themes for GTK, gnome-shell and more)
+
+Zuki themes for GNOME, Xfce and more.
+
+Optional dependencies are:
+
+ gtk-engines, gtk-engines-unico, murrine, ttf-roboto.
diff --git a/desktop/zuki-themes/doinst.sh b/desktop/zuki-themes/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/zuki-themes/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/zuki-themes/slack-desc b/desktop/zuki-themes/slack-desc
new file mode 100644
index 0000000000..4558dde272
--- /dev/null
+++ b/desktop/zuki-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zuki-themes: zuki-themes (Themes for GTK, gnome-shell and more)
+zuki-themes:
+zuki-themes: Zuki themes for GNOME, Xfce and more.
+zuki-themes:
+zuki-themes: Home page: https://github.com/lassekongo83/zuki-themes
+zuki-themes:
+zuki-themes:
+zuki-themes:
+zuki-themes:
+zuki-themes:
+zuki-themes:
diff --git a/desktop/zuki-themes/zuki-themes.SlackBuild b/desktop/zuki-themes/zuki-themes.SlackBuild
new file mode 100644
index 0000000000..d138de8e6b
--- /dev/null
+++ b/desktop/zuki-themes/zuki-themes.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+#
+# Slackware build script for zuki-themes.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="zuki-themes"
+VERSION=${VERSION:-3.20.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCVER="3.20-1"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+mv $PRGNAM-$SRCVER $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+THEMES="Zuki-shell Zukitre Zukitre-firefox-theme Zukitwo"
+
+mkdir -p $PKG/usr/share/themes
+cp -a $THEMES $PKG/usr/share/themes/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/zuki-themes/zuki-themes.info b/desktop/zuki-themes/zuki-themes.info
new file mode 100644
index 0000000000..4b27ad9bc4
--- /dev/null
+++ b/desktop/zuki-themes/zuki-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="zuki-themes"
+VERSION="3.20.1"
+HOMEPAGE="https://github.com/lassekongo83/zuki-themes/"
+DOWNLOAD="https://github.com/lassekongo83/zuki-themes/archive/v3.20-1/zuki-themes-3.20-1.tar.gz"
+MD5SUM="78bb07c76874932157cb196b7e4df28d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"